﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Syncfusion.XlsIO;
using System.Data.OleDb;
using System.IO;
using System.Drawing;
using System.Collections;

namespace Holod_r_1
{
    public partial class Export : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }
        protected void Button1_Click(object sender, EventArgs e)
        {
            ExcelEngine excelEngine = new ExcelEngine();

            IApplication application = excelEngine.Excel;

            application.DefaultVersion = ExcelVersion.Excel2013;

            IWorkbook workbook = application.Workbooks.Create(1);

            IWorksheet sheet = workbook.Worksheets[0];

            //Inserts the sample data for the chart

            sheet.Range["A1"].Text = "Month";

            sheet.Range["B1"].Text = "Product A";

            sheet.Range["C1"].Text = "Product B";

            //Months

            sheet.Range["A2"].Text = "Jan";

            sheet.Range["A3"].Text = "Feb";

            sheet.Range["A4"].Text = "Mar";

            sheet.Range["A5"].Text = "Apr";

            sheet.Range["A6"].Text = "May";

            //Create a random Data

            Random r = new Random();

            for (int i = 2; i <= 6; i++)

            {

                for (int j = 2; j <= 3; j++)

                {

                    sheet.Range[i, j].Number = r.Next(0, 500);

                }

            }

            IChartShape chart = sheet.Charts.Add();

            //Set chart type

            chart.ChartType = ExcelChartType.Line;

            //Set Chart Title

            chart.ChartTitle = "Product Sales comparison";

            //Set first serie

            IChartSerie productA = chart.Series.Add("ProductA");

            productA.Values = sheet.Range["B2:B6"];

            productA.CategoryLabels = sheet.Range["A2:A6"];

            //Set second serie

            IChartSerie productB = chart.Series.Add("ProductB");

            productB.Values = sheet.Range["C2:C6"];

            productB.CategoryLabels = sheet.Range["A2:A6"];

            workbook.SaveAs("chart.xlsx", ExcelSaveType.SaveAsXLS, Response, ExcelDownloadType.PromptDialog);

            workbook.Close();

            excelEngine.Dispose();
        }
    }
}